import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    url: '/login',
    headers: {
      isToken: false,
      repeatSubmit: false
    },
    method: 'post',
    data: data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}


// catalog 添加登录用户
export function insertTabUser(data) {
  return request({
    url: '/web/tab-user/insertTabUser',
    method: 'post',
    data:data
  })
}

//  catalog  token获取
export function getSixCatalogToken(data) {
  return request({
    url: '/web/getCatalogToken',
    method: 'post',
    data: data    
  })
}


// 获取邮箱验证码
export function sendMail (data) {
  return request({
    url: '/web/mail/sendMail',
    method: 'post',
    data: data   
  })
}

// 验证邮箱验证码
export function verifyMail (data) {
  return request({
    url: '/web/mail/verifyMail',
    method: 'post',
    data: data   
  })
}

export function loginByMail (data) {
  return request({
    url: '/loginByMail',
    method: 'post',
    headers: {
      isToken: false,
      repeatSubmit: false
    },
    data: data   
  })
}


